/*
 * overloaded_stacks.c
 *
 *  Created on: 19 Feb 2015
 *      Author: dgibso2
 */

#include <stdint.h>
#include <sys/adi_stack.h>

/* Declare reduced sized stacks so that the application will fit in L2
 * using the default ld scripts.
 */

#define __ADI_STACK_ABORT_SIZE 8
uint8_t   __adi_stack_abort_object[__ADI_STACK_ABORT_SIZE]
             __attribute__ ((aligned (__ADI_STACK_ABORT_ALIGN)))
             __attribute__ ((section (".stack_abort")));

#define __ADI_STACK_UNDEF_SIZE 8
uint8_t   __adi_stack_undef_object[__ADI_STACK_UNDEF_SIZE]
             __attribute__ ((aligned (__ADI_STACK_UNDEF_ALIGN)))
             __attribute__ ((section (".stack_undef")));

#define __ADI_STACK_SUP_SIZE 8
uint8_t   __adi_stack_sup_object[__ADI_STACK_SUP_SIZE]
             __attribute__ ((aligned (__ADI_STACK_SUP_ALIGN)))
             __attribute__ ((section (".stack_sup")));

#define __ADI_STACK_FIQ_SIZE 8
uint8_t   __adi_stack_fiq_object[__ADI_STACK_FIQ_SIZE]
             __attribute__ ((aligned (__ADI_STACK_FIQ_ALIGN)))
             __attribute__ ((section (".stack_fiq")));
