/*
 **
 ** sru_config.c source file generated on December 10, 2015 at 17:51:21.	
 **
 ** Copyright (C) 2014-2015 Analog Devices Inc., All Rights Reserved.
 **
 ** This file is generated automatically based upon the options selected in 
 ** the SRU Configuration editor. Changes to the SRU configuration should
 ** be made by changing the appropriate options rather than editing this file.
 **
 ** Only registers with non-default values are written to this file.
 **
 */
 
#include <stdint.h>
#include <sys/platform.h>

int32_t adi_SRU_Init(void);

/*
 * Initialize the Signal Routing Unit
 */
int32_t adi_SRU_Init(void)
{
    /* SPT2A_CLK_I, SPT0B_CLK_I, SPT0A_CLK_I, SPT2B_CLK_I, SPT1B_CLK_I, SPT1A_CLK_I */
    *pREG_DAI0_CLK0 = (unsigned int) 0x2528c4c2;

    /* SPT2B_D1_I, SRC1_DAT_IP_I, SRC0_DAT_IP_I, SRC2_DAT_IP_I, SPT2B_D0_I */
    *pREG_DAI0_DAT2 = (unsigned int) 0x00000451;

    /* SPT1B_D0_I, SPT2A_D1_I, SPT1B_D1_I, SPT2A_D0_I, SPT1A_D1_I */
    *pREG_DAI0_DAT1 = (unsigned int) 0x1144b289;

    /* SPT1B_FS_I, SPT2B_FS_I, SPT0B_FS_I, SPT0A_FS_I, SPT2A_FS_I, SPT1A_FS_I */
    *pREG_DAI0_FS0 = (unsigned int) 0x2738c4e3;

    /* SPT5A_CLK_I, SPT4B_CLK_I, SPT4A_CLK_I, SPT5B_CLK_I, SPT6B_CLK_I, SPT6A_CLK_I */
    *pREG_DAI1_CLK0 = (unsigned int) 0x2528c4c2;

    /* SPT6A_D1_I, SPT6A_D0_I, SPT5B_D1_I, SPT5B_D0_I, SPT5A_D1_I */
    *pREG_DAI1_DAT1 = (unsigned int) 0x1144b289;

    /* SRC4_DAT_IP_I, SPT6B_D0_I, SPT6B_D1_I, SRC6_DAT_IP_I, SRC5_DAT_IP_I */
    *pREG_DAI1_DAT2 = (unsigned int) 0x00000451;

    /* SPT4A_FS_I, SPT6A_FS_I, SPT4B_FS_I, SPT6B_FS_I, SPT5A_FS_I, SPT5B_FS_I */
    *pREG_DAI1_FS0 = (unsigned int) 0x2738c4e3;

    /* PADS0 DAI0 Port Input Enable Control Register */
    *pREG_PADS0_DAI0_IE = (unsigned int) 0x001FFFFE;

    /* PADS0 DAI1 Port Input Enable Control Register */
    *pREG_PADS0_DAI1_IE = (unsigned int) 0x001FFFFE;

    return 0;
}

